=== debian/changelog ===
ros-humble-rosbag2-compression (0.15.7-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 18 Jul 2023 00:00:00 -0000

ros-humble-rosbag2-compression (0.15.6-1jammy) jammy; urgency=high

  * Deconstruct compression classloader factory in correct order with classes loaded (#1362 <https://github.com/ros2/rosbag2/issues/1362>)
  * Fx memory issue when multiple writers with message compression_mode required (#1331 <https://github.com/ros2/rosbag2/issues/1331>)
    - Deep copy message when sequential compression writer is writing
    Co-authored-by: zeal <mailto:ziyaolin.zeal@gmail.com>
  * Contributors: Emerson Knapp, zeal-up

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 05 Jun 2023 00:00:00 -0000

ros-humble-rosbag2-compression (0.15.5-1jammy) jammy; urgency=high

  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>) (#1224 <https://github.com/ros2/rosbag2/issues/1224>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 25 Apr 2023 00:00:00 -0000

ros-humble-rosbag2-compression (0.15.4-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 10 Jan 2023 00:00:00 -0000

ros-humble-rosbag2-compression (0.15.3-1jammy) jammy; urgency=high

  * Backport. Add use_sim_time option to record verb (#1017 <https://github.com/ros2/rosbag2/issues/1017>)
  * Contributors: Keisuke Shima

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-rosbag2-compression (0.15.2-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 11 May 2022 00:00:00 -0000

ros-humble-rosbag2-compression (0.15.1-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 06 Apr 2022 00:00:00 -0000

ros-humble-rosbag2-compression (0.15.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-rosbag2-compression (0.14.1-1jammy) jammy; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 29 Mar 2022 00:00:00 -0000

ros-humble-rosbag2-compression (0.14.0-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#958 <https://github.com/ros2/rosbag2/issues/958>)
  * Remove unnecessary public definition. (#950 <https://github.com/ros2/rosbag2/issues/950>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 29 Mar 2022 00:00:00 -0000

ros-humble-rosbag2-compression (0.13.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 13 Jan 2022 00:00:00 -0000

ros-humble-rosbag2-compression (0.12.0-1jammy) jammy; urgency=high

  * Changes for uncrustify 0.72 (#937 <https://github.com/ros2/rosbag2/issues/937>)
  * Bugfix for broken bag split when using cache (#936 <https://github.com/ros2/rosbag2/issues/936>)
  * Contributors: Chris Lalancette, Michael Orlov

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-humble-rosbag2-compression (0.11.0-1jammy) jammy; urgency=high

  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Don't preprocess a storage file more than once (#895 <https://github.com/ros2/rosbag2/issues/895>)
  * Contributors: Michel Hidalgo, sonia

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 08 Nov 2021 00:00:00 -0000

ros-humble-rosbag2-compression (0.10.1-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 22 Oct 2021 00:00:00 -0000

ros-humble-rosbag2-compression (0.10.0-1jammy) jammy; urgency=high

  * added seek interface (#836 <https://github.com/ros2/rosbag2/issues/836>)
  * Refactor plugin query mechanism and standardize trait management (#833 <https://github.com/ros2/rosbag2/issues/833>)
  * fix sequential reader rollover-to-next-file strategy: (#839 <https://github.com/ros2/rosbag2/issues/839>)
  * Load compression and serialization choices via plugin query (#827 <https://github.com/ros2/rosbag2/issues/827>)
  * Contributors: Cameron Miller, sonia

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 19 Oct 2021 00:00:00 -0000

ros-humble-rosbag2-compression (0.9.0-1jammy) jammy; urgency=high

  * Rename Reader/Writer 'reset' to 'close' (#760 <https://github.com/ros2/rosbag2/issues/760>)
  * Contributors: Emerson Knapp

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 17 May 2021 00:00:00 -0000

ros-humble-rosbag2-compression (0.8.0-1jammy) jammy; urgency=high

  * Explicitly add emersonknapp as maintainer (#692 <https://github.com/ros2/rosbag2/issues/692>)
  * Reindexer core (#641 <https://github.com/ros2/rosbag2/issues/641>)
    Add a new C++ Reindexer class for reconstructing metadata from bags that are missing it.
  * Contributors: Emerson Knapp, jhdcs

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 19 Apr 2021 00:00:00 -0000

ros-humble-rosbag2-compression (0.7.0-1jammy) jammy; urgency=high

  * CLI query rosbag2_py for available storage implementations (#659 <https://github.com/ros2/rosbag2/issues/659>)
  * Move zstd compressor to its own package (#636 <https://github.com/ros2/rosbag2/issues/636>)
  * Remove rosbag2_compression test dependencies on zstd implementation in prep for moving it into a separate package (#637 <https://github.com/ros2/rosbag2/issues/637>)
  * Contributors: Emerson Knapp

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-humble-rosbag2-compression (0.6.0-1jammy) jammy; urgency=high

  * Make compressor implementations into a plugin via pluginlib (#624 <https://github.com/ros2/rosbag2/issues/624>)
  * Use ZSTD's streaming interface for [de]compressing files (#543 <https://github.com/ros2/rosbag2/issues/543>)
  * Fix build issues when rosbag2_storage is binary installed (#585 <https://github.com/ros2/rosbag2/issues/585>)

