## ros-humble-rosbag2-compression 0.15.12

=== debian/changelog ===
ros-humble-rosbag2-compression (0.15.12-1bookworm) bookworm; urgency=high

  * [humble] Bugfix for bag_split event callbacks called to early with file compression (backport #1643 <https://github.com/ros2/rosbag2/issues/1643>) (#1733 <https://github.com/ros2/rosbag2/issues/1733>)
  * [humble] Add option to prevent message loss while converting (backport #1058 <https://github.com/ros2/rosbag2/issues/1058>) (#1749 <https://github.com/ros2/rosbag2/issues/1749>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Sat, 27 Jul 2024 16:00:00 -0000

ros-humble-rosbag2-compression (0.15.11-1bookworm) bookworm; urgency=high

  * [humble] Rollback to rcpputils::fs and workaround failure in "open_succeds_twice" on second run. (#1666 <https://github.com/ros2/rosbag2/issues/1666>)
  * Add in a missing cstdint include. (#1321 <https://github.com/ros2/rosbag2/issues/1321>) (#1663 <https://github.com/ros2/rosbag2/issues/1663>)
  * Contributors: Michael Orlov, mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 19 May 2024 16:00:00 -0000

ros-humble-rosbag2-compression (0.15.10-1bookworm) bookworm; urgency=high

  * [humble] Bugfix for writer not being able to open again after closing (backport #1599 <https://github.com/ros2/rosbag2/issues/1599>) (#1653 <https://github.com/ros2/rosbag2/issues/1653>)
  * [humble] Add default initialization for CompressionOptions (backport #1539 <https://github.com/ros2/rosbag2/issues/1539>) (#1546 <https://github.com/ros2/rosbag2/issues/1546>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 16 May 2024 16:00:00 -0000

ros-humble-rosbag2-compression (0.15.9-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rosbag2-compression (0.15.8-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rosbag2-compression (0.15.7-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rosbag2-compression (0.15.6-1bookworm) bookworm; urgency=high

  * Deconstruct compression classloader factory in correct order with classes loaded (#1362 <https://github.com/ros2/rosbag2/issues/1362>)
  * Fx memory issue when multiple writers with message compression_mode required (#1331 <https://github.com/ros2/rosbag2/issues/1331>)
    - Deep copy message when sequential compression writer is writing
    Co-authored-by: zeal <mailto:ziyaolin.zeal@gmail.com>
  * Contributors: Emerson Knapp, zeal-up

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 04 Jun 2023 16:00:00 -0000

ros-humble-rosbag2-compression (0.15.5-1bookworm) bookworm; urgency=high

  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>) (#1224 <https://github.com/ros2/rosbag2/issues/1224>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-rosbag2-compression (0.15.4-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-rosbag2-compression (0.15.3-1bookworm) bookworm; urgency=high

  * Backport. Add use_sim_time option to record verb (#1017 <https://github.com/ros2/rosbag2/issues/1017>)
  * Contributors: Keisuke Shima

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rosbag2-compression (0.15.2-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 10 May 2022 16:00:00 -0000

ros-humble-rosbag2-compression (0.15.1-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 05 Apr 2022 16:00:00 -0000

ros-humble-rosbag2-compression (0.15.0-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 04 Apr 2022 16:00:00 -0000

ros-humble-rosbag2-compression (0.14.1-1bookworm) bookworm; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 28 Mar 2022 16:00:00 -0000

ros-humble-rosbag2-compression (0.14.0-1bookworm) bookworm; urgency=high

  * Install headers to include/${PROJECT_NAME} (#958 <https://github.com/ros2/rosbag2/issues/958>)
  * Remove unnecessary public definition. (#950 <https://github.com/ros2/rosbag2/issues/950>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 28 Mar 2022 16:00:00 -0000

ros-humble-rosbag2-compression (0.13.0-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 12 Jan 2022 16:00:00 -0000

ros-humble-rosbag2-compression (0.12.0-1bookworm) bookworm; urgency=high

  * Changes for uncrustify 0.72 (#937 <https://github.com/ros2/rosbag2/issues/937>)
  * Bugfix for broken bag split when using cache (#936 <https://github.com/ros2/rosbag2/issues/936>)
  * Contributors: Chris Lalancette, Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-rosbag2-compression (0.11.0-1bookworm) bookworm; urgency=high

  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Don't preprocess a storage file more than once (#895 <https://github.com/ros2/rosbag2/issues/895>)
  * Contributors: Michel Hidalgo, sonia

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 07 Nov 2021 16:00:00 -0000

ros-humble-rosbag2-compression (0.10.1-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 21 Oct 2021 16:00:00 -0000

ros-humble-rosbag2-compression (0.10.0-1bookworm) bookworm; urgency=high

  * added seek interface (#836 <https://github.com/ros2/rosbag2/issues/836>)
  * Refactor plugin query mechanism and standardize trait management (#833 <https://github.com/ros2/rosbag2/issues/833>)
  * fix sequential reader rollover-to-next-file strategy: (#839 <https://github.com/ros2/rosbag2/issues/839>)

