=== debian/control ===
Source: ros-humble-rosbag2-compression
Section: misc
Priority: optional
Maintainer: Michael Orlov <michael.orlov@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-rclcpp <!nocheck>, ros-humble-rcpputils, ros-humble-rcutils, ros-humble-rosbag2-cpp, ros-humble-rosbag2-storage, ros-humble-rosbag2-test-common <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rosbag2-compression
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rcpputils, ros-humble-rcutils, ros-humble-rosbag2-cpp, ros-humble-rosbag2-storage, ros-humble-ros-workspace
Description: Compression implementations for rosbag2 bags and messages.
